* {
    margin: 0;
    padding: 0;
    /* cursor: url('./assets/cursor.png'), default; */
    cursor: none
}

html,
body {
    height: 100vh;
    font-family: 'Poppins';
}

.webgl {
    position: fixed;
    top: 0;
    left: 0;
    outline: none;
}

#info {
    position: absolute;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    top: 80%;
    width: 30%;
    height: 70px;
    text-align: center;
    z-index: 100;
    display: block;
    color: red;
    transform: rotateX(80deg);
    font-size: 50px;
    transition: all 1000ms;
    background-color: rgba(255, 255, 255, .5);
}

#info_info {
    position: absolute;
    top: 0%;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    width: 30%;
    text-align: left;
    z-index: 100;
    display: block;
    color: white;
    transform-style: preserve-3d;
    transform: rotateX(80deg) translateZ(-100vh);
    font-size: 30px;
    transition: all 1000ms;
    /* background-color: rgba(255,255,255,.5); */
}

#info.active {
    transition: all 1000ms;
    /* transform: rotateX(0deg); */
    top: 50%;
    font-size: 20px;
}

#info.up {
    /* transition: all 1000ms; */
    transform: rotateX(0deg);
    top: 50%;
    font-size: 20px;
}

#info_info.active {
    transition: all 1000ms;
    transform: rotateX(45deg);
    top: 60%;
}

@keyframes move {
    from {
        transform: rotateY(0deg);
    }
    to {
        transform: rotateY(-360deg);
    }
}

.trail {
    /* className for the trail elements */
    position: absolute;
    width: 15px;
    height: 15px;
    border-radius: 0px;
    background: orange;
    opacity: 0.5;
}


/* Cube Cursor */

#cursor {
    width: 30px;
    height: 30px;
    position: absolute;
    z-index: 100;
    display: block;
    top: 50%;
    left: 50%;
    color: white;
}

#cursor_cube {
    width: 30px;
    height: 30px;
    position: absolute;
    z-index: 100;
    display: block;
    top: 50%;
    left: 50%;
    transform-style: preserve-3d;
    transform: rotateX(0deg) rotateY(0deg) rotateZ(-0deg) translateX(-10px) translateY(10px);
    animation: cubeRotation 4s infinite;
    animation-play-state: running;
}

@keyframes cubeRotation {
    from {
        transform: rotateY(0deg) rotateZ(0deg)
    }
    /*DEFAULT VALUE*/
    to {
        transform: rotateY(360deg) rotateZ(360deg)
    }
    /*CHANGING VALUE*/
}

.side {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    border-radius: 0%;
}

.top {
    transform: translateZ(-30px);
    border: 1px solid white;
    background: white;
}

.front {
    transform: rotateX(90deg);
    transform-origin: bottom;
    border: 1px solid white;
}

.left {
    width: 30px;
    transform: translateZ(-30px) rotateY(90deg);
    transform-origin: right;
    border: 1px solid white
}

.right {
    width: 30px;
    transform: rotateY(0deg);
    transform-origin: right;
    border: 1px solid white
}

.bottom {
    width: 30px;
    transform: translateZ(-15px) translateY(-15px) rotateX(90deg);
    transform-origin: right;
    border: 1px solid white
}

.back {
    width: 30px;
    transform: translateZ(-30px) translateX(-30px) rotateY(90deg);
    transform-origin: right;
    border: 1px solid white
}

.pointer {
    width: 0;
    height: 0;
    transform: rotateZ(45deg);
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-right: 10px solid white;
}


/* End of Cube Cursor */
